=== debian/changelog ===
python3-swisseph (2.00.00-0mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 25 Jan 2025 16:26:53 +0000

python3-swisseph (2.00.00-0mx19+2) mx; urgency=medium

  * Correct Copyright information

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 02 Apr 2020 20:37:19 -0400

python3-swisseph (2.00.00-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 26 Aug 2019 15:22:03 -0400

python3-swisseph (2.00.00-0ubuntu1~bionic) bionic; urgency=low

  * Initial release 

 -- Pelle van der Scheer <pellesimon@gmail.com>  Sat, 11 Mar 2017 20:28:32 +0100
