=== debian/control ===
Source: python3-swisseph
Section: universe/graphics
Priority: optional
Maintainer: Pelle van der Scheer <pellesimon@gmail.com>
Build-Depends: debhelper (>= 12), python3-all-dev (>= 3.9), dh-python
Standards-Version: 3.9.5
X-Python-Version: >= 3.9
Homepage: http://pypi.python.org/pypi/pyswisseph

Package: python3-swisseph
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: swisseph binding for python
 this is a swisseph binding for python
